<?php
namespace wechat\controllers;

use wechat\models\ScanQrcodeRecord;
use Yii;
use wechat\models\WechatGroup;

/**
 * 前台的接口
 * Class ActivityController
 * @package wechat\controllers
 */
class ActivityController extends BaseController
{
    /**
     * 获取当前微信群
     * 
     * 1.微信群的扫描次数阀值为100，达到后按排序规则替换成下一个微信群为当前微信群
     * 2.微信群替换顺序将按照排序号从小到大开始，相同排序号的按更新时间大小，进行先后排序
     * 3.未启用的微信群不列入群替换的排序中
     * 4.如果没有可以使用的群里了，则使用is_current的群，如果没有is_current的话，则使用update_time最大的一个群
     */
    public function actionGetCurrentGroup()
    {
        $session_id = Yii::$app->request->post('session_id');
        
        // 获取当前微信群
        $groupModel = WechatGroup::getCurrentGroup(false, $session_id);
        
        if ($groupModel) {
            // 扫码记录
            ScanQrcodeRecord::doRecord($groupModel->id, $session_id);
            
            $group = $groupModel->toArray();
            $group['is_enable'] = $group['is_enable'] ? '启用' : '不启用';
            $group['qrcode_expire'] = $group['qrcode_expire'] ? date('Y-m-d', $group['qrcode_expire']) : '-';
            $group['create_time'] = $group['create_time'] ? date('Y-m-d', $group['create_time']) : '-';
            $group['update_time'] = $group['update_time'] ? date('Y-m-d', $group['update_time']) : '-';
        }
        
        return $this->outJson(1, $group);
    }
}